Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » [RESOLVED]Can't start Luna (eclipse crashes)(I have downloaded eclipse-java-luna-SR1-linux-gtk-x86_64.tar.gz, installed it and it will not start)
[RESOLVED]Can't start Luna (eclipse crashes) [message #1451384] Thu, 23 October 2014 19:08 Go to next message
Jim Anderson is currently offline Jim AndersonFriend
Messages: 78
Registered: October 2014
Member
Hi,

I installed eclipse-java-luna-SR1-linux-gtk-x86_64.tar.gz on my laptop and cannot get it started and I am not sure how to work around the error messages which are shown in the attached file.

I did a search on:

The org.eclipse.m2e.logback.configuration bundle was activated before the state location was initialized.

and found someone who had the same message, but in their case, eclipse started, but with a blank window. It was interesting that they had installed the same release that I am working with.

I am running Eclipse on the Crunchbang Wheezy release with backports from the Waldorf release. My $JAVA_HOME is set to /usr/share/java/jdk1.8.0_20.

The output of uname -a is:

Linux furillo 3.2.0-4-amd64 #1 SMP Debian 3.2.41-2 x86_64 GNU/Linux

Can anyone suggest what I should do? My first inclination is to try another release, which is probably what I will do. I am also inclined to submit a bug report since I would expect luna to work out of the box.

Jim Anderson

[Updated on: Thu, 23 October 2014 22:52] by Moderator

Report message to a moderator

Re: Can't start Luna (eclipse crashes) [message #1451419 is a reply to message #1451384] Thu, 23 October 2014 20:11 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan HerrmannFriend
Messages: 1828
Registered: July 2009
Senior Member
Please check the following list of bugs if one of them fits your situation:
https://bugs.eclipse.org/bugs/buglist.cgi?classification=Eclipse&component=SWT&list_id=10340959&longdesc=gdk_display_open&longdesc_type=allwordssubstr&product=Platform&query_format=advanced

Note: I simply extracted the word gdk_display_open from the fatal part of your error log.

In particular, I guess the following comment should help you:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=430736#c35

Stephan
Re: [RESOLVED]Can't start Luna (eclipse crashes) [message #1451497 is a reply to message #1451384] Thu, 23 October 2014 23:07 Go to previous message
Jim Anderson is currently offline Jim AndersonFriend
Messages: 78
Registered: October 2014
Member
Stephan,

Thank you very much for the help. The item that you pointed me to:

Quote:
In particular, I guess the following comment should help you:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=430736#c35


was what I needed. That item suggested adding the lines:

--launcher.GTK_version
2

to eclipse.ini. The first time, I added it add the end of the file and included the blank line and eclipse failed to start and said it did not recognize '--launcher.GTK_version'. I tried moving it to the beginning of the file and it worked.

Regards,
Jim
Previous Topic:javadoc
Next Topic:[Compiler modification] Propagate exception throws from for-each?
Goto Forum:
  


Current Time: Mon Nov 30 00:07:03 GMT 2020

Powered by FUDForum. Page generated in 0.06919 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top